<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"/>
<HTML>
  <HEAD>
    <TITLE>Order by Lack of Cohesion in Methods (Henderson-Sellers)</TITLE>
  </HEAD>
  <BODY>
    <H1>Order by Lack of Cohesion in Methods (Henderson-Sellers)</H1>
    <P><FONT size="-2">Produced by <A HREF="http://www.teaminabox.co.uk/index.html">Team in a Box</A> <A HREF="http://www.teaminabox.co.uk/downloads/metrics/index.html">Eclipe Metrics</A> on Wed Jun 08 09:17:44 CDT 2005
      </FONT><P><A HREF="index.html">Index</A>
    <P>
    <TABLE><TR><TD>
          <IMG src="com.teaminabox.eclipse.metrics.calculators.LackOfCohesionInMethodsCalculator.hendersonSellers.jpg"/>
          <P></TD><TD>
          <TABLE border="1" cellpadding="2">
            <TR><TH>Short Name</TH><TH>Full Name</TH></TR>
            <TR><TD>CC</TD><TD><A HREF="http://www.teaminabox.co.uk/downloads/metrics/descriptions/CyclomaticComplexity.html">Cyclomatic Complexity</A></TD></TR>
            <TR><TD>LOCm</TD><TD><A HREF="http://www.teaminabox.co.uk/downloads/metrics/descriptions/LinesOfCode.html">Lines of Code in Method</A></TD></TR>
            <TR><TD>NOL</TD><TD><A HREF="http://www.teaminabox.co.uk/downloads/metrics/descriptions/NumberOfLevels.html">Number of Levels</A></TD></TR>
            <TR><TD>NOP</TD><TD><A HREF="http://www.teaminabox.co.uk/downloads/metrics/descriptions/NumberOfParameters.html">Number of Parameters</A></TD></TR>
            <TR><TD>NOS</TD><TD><A HREF="http://www.teaminabox.co.uk/downloads/metrics/descriptions/NumberOfStatements.html">Number of Statements</A></TD></TR>
            <TR><TD>Ce</TD><TD><A HREF="http://www.teaminabox.co.uk/downloads/metrics/descriptions/EfferentCouplings.html">Efferent Couplings</A></TD></TR>
            <TR><TD>LCOM-CK</TD><TD><A HREF="http://www.teaminabox.co.uk/downloads/metrics/descriptions/LackOfCohesionInMethods.html">Lack of Cohesion in Methods (Chidamber & Kemerer)</A></TD></TR>
            <TR><TD>LCOM-HS %</TD><TD><A HREF="http://www.teaminabox.co.uk/downloads/metrics/descriptions/LackOfCohesionInMethods.html">Lack of Cohesion in Methods (Henderson-Sellers)</A></TD></TR>
            <TR><TD>NOF</TD><TD><A HREF="http://www.teaminabox.co.uk/downloads/metrics/descriptions/NumberOfFields.html">Number of Fields</A></TD></TR>
            <TR><TD>WMC</TD><TD><A HREF="http://www.teaminabox.co.uk/downloads/metrics/descriptions/WeightedMethodsPerClass.html">Weighted Methods Per Class</A></TD></TR>
          </TABLE>
          <P>
        </TD></TR></TABLE>
    <TABLE border="1" cellpadding="2">
      <TR><TH><A HREF="Package0.1.html">CC</A><BR>(max)</TH>
        <TH><A HREF="Package1.1.html">LOCm</A><BR>(max)</TH>
        <TH><A HREF="Package2.1.html">NOL</A><BR>(max)</TH>
        <TH><A HREF="Package3.1.html">NOP</A><BR>(max)</TH>
        <TH><A HREF="Package4.1.html">NOS</A><BR>(max)</TH>
        <TH><A HREF="Package5.1.html">Ce</A><BR>(max)</TH>
        <TH><A HREF="Package6.1.html">LCOM-CK</A><BR>(max)</TH>
        <TH><A HREF="Package7.1.html">LCOM-HS %</A><BR>(max)</TH>
        <TH><A HREF="Package8.1.html">NOF</A><BR>(max)</TH>
        <TH><A HREF="Package9.1.html">WMC</A><BR>(max)</TH>
        <TH><A HREF="Package.1.html">Package</A></TH></TR>
      <TR><TD><FONT color="red">10</FONT></TD><TD><FONT color="red">34</FONT></TD><TD>4</TD><TD>1</TD><TD><FONT color="red">29</FONT></TD><TD>6</TD><TD>0</TD><TD><FONT color="red">75</FONT></TD><TD>10</TD><TD>35</TD><TD>com.adaptionsoft.games.uglytrivia</TD></TR>
      <TR><TD>3</TD><TD><FONT color="red">24</FONT></TD><TD>3</TD><TD>1</TD><TD>14</TD><TD>5</TD><TD>-</TD><TD>-</TD><TD>0</TD><TD>3</TD><TD>com.adaptionsoft.games.trivia.runner</TD></TR>
    </TABLE>
    <P><FONT size="-2">Produced by <A HREF="http://www.teaminabox.co.uk/index.html">Team in a Box</A> <A HREF="http://www.teaminabox.co.uk/downloads/metrics/index.html">Eclipe Metrics</A> on Wed Jun 08 09:17:44 CDT 2005
      </FONT></BODY>
</HTML>
